* vim
* nethack
* terminfo italics support
+
+## Provisioning
+
+These dotfiles include some provisioning scripts for `brew` and `apt`.
+
+To set up run `./provision <recipe>` where `<recipe>` is one of:
+
+* `essential`
+* `nice`
+* `cask_essential` (only `brew`)
+* `cask_nice` (only `brew`)
+
+To see what each recipe installs, check the files under `provisioning/`
+
+## Local zshrc
+
+For local modifications to the zshrc create `~/.zshrc.local`.
+
+## Environment modification
+
+In order to specify the environment in the prompt, create a function
+called `env_info_provider` and echo your environment details (eg.
+`dev`, `staging`, `production`)
echo "Installing essential software"
-if command -v brew &> /dev/null; then
- cat ./provisioning/brew_essential | xargs brew install
-else
- if command -v apt &> /dev/null; then
- echo "Warning: ASDF needs to be installed manually"
- cat ./provisioning/apt_essential | xargs apt install
- else
- echo "Error: No valid package manager. Make sure brew or apt are available."
- exit 1
- fi
-fi
+./provision essential
echo "Linking runcoms"
--- /dev/null
+#!/usr/bin/env sh
+
+if [[ -z "$1" ]]; then
+ echo "Run with parameters: essential, nice, cask_essential, or cask_nice"
+else
+ if command -v brew &> /dev/null; then
+ command_name="brew"
+ else
+ if command -v apt &> /dev/null; then
+ command_name="brew"
+ else
+ echo "Error: No valid package manager. Make sure brew or apt are available."
+ exit 1
+ fi
+ fi
+ file="./provisioning/${command_name}_$1"
+ if [[ -f $file ]]; then
+ echo "Provisioning $1 with $command_name"
+ cat ./provisioning/${command_name}_$1 | xargs ${command_name} install
+ else
+ echo "No provisioning recipe for $1 with $command_name"
+ fi
+fi
--- /dev/null
+--cask
+1password
+amethyst
+bartender
+clipy
+docker
+firefox-beta
+kitty
+multifirefox
+obsidian
+quicksilver
+recordit
+tresorit
--- /dev/null
+--cask
+daisydisk
+dash
+figma
+google-chrome
+karabiner-elements
+keyboard-cleaner
+loopback
+macvim
+omnigraffle
+omniplan
+osxfuse
+paw
+sequel-pro
+signal
+soulver
+timeular
+veracrypt
+zoomus